libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
gsm0808_vgcs_vbs_assign_req Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

3GPP TS 48.008 §3.2.1.53 VGCS/VBS ASSIGNMENT REQUEST More...

`#include <gsm0808.h>`

## Data Fields
struct gsm0808_channel_type | channel_type
enum gsm0808_assignment_requirement | ass_req
struct gsm0808_cell_id | cell_identifier
struct gsm0808_group_callref | callref
bool | priority_present
struct gsm0808_priority | priority
bool | cic_present
uint16_t | cic
bool | downlink_dtx_flag_present
enum gsm0808_downlink_dtx_flag | downlink_dtx_flag
bool | encryption_information_present
struct gsm0808_encrypt_info | encryption_information
bool | vstk_rand_present
uint8_t | vstk_rand [5]
bool | vstk_present
uint8_t | vstk [16]
bool | cils_present
struct gsm0808_cell_id_list_segment | cils
bool | aoip_transport_layer_present
struct sockaddr_storage | aoip_transport_layer
bool | call_id_present
uint32_t | call_id
bool | codec_list_present
struct gsm0808_speech_codec_list | codec_list_msc_preferred

## Detailed Description

3GPP TS 48.008 §3.2.1.53 VGCS/VBS ASSIGNMENT REQUEST

## Field Documentation

## ◆ aoip_transport_layer

struct sockaddr_storage gsm0808_vgcs_vbs_assign_req::aoip_transport_layer

## ◆ aoip_transport_layer_present

bool gsm0808_vgcs_vbs_assign_req::aoip_transport_layer_present

## ◆ ass_req

enum gsm0808_assignment_requirement gsm0808_vgcs_vbs_assign_req::ass_req

## ◆ call_id

uint32_t gsm0808_vgcs_vbs_assign_req::call_id

## ◆ call_id_present

bool gsm0808_vgcs_vbs_assign_req::call_id_present

## ◆ callref

struct gsm0808_group_callref gsm0808_vgcs_vbs_assign_req::callref

## ◆ cell_identifier

struct gsm0808_cell_id gsm0808_vgcs_vbs_assign_req::cell_identifier

## ◆ channel_type

struct gsm0808_channel_type gsm0808_vgcs_vbs_assign_req::channel_type

## ◆ cic

uint16_t gsm0808_vgcs_vbs_assign_req::cic

## ◆ cic_present

bool gsm0808_vgcs_vbs_assign_req::cic_present

## ◆ cils

struct gsm0808_cell_id_list_segment gsm0808_vgcs_vbs_assign_req::cils

## ◆ cils_present

bool gsm0808_vgcs_vbs_assign_req::cils_present

## ◆ codec_list_msc_preferred

struct gsm0808_speech_codec_list gsm0808_vgcs_vbs_assign_req::codec_list_msc_preferred

## ◆ codec_list_present

bool gsm0808_vgcs_vbs_assign_req::codec_list_present

## ◆ downlink_dtx_flag

enum gsm0808_downlink_dtx_flag gsm0808_vgcs_vbs_assign_req::downlink_dtx_flag

## ◆ downlink_dtx_flag_present

bool gsm0808_vgcs_vbs_assign_req::downlink_dtx_flag_present

## ◆ encryption_information

struct gsm0808_encrypt_info gsm0808_vgcs_vbs_assign_req::encryption_information

## ◆ encryption_information_present

bool gsm0808_vgcs_vbs_assign_req::encryption_information_present

## ◆ priority

struct gsm0808_priority gsm0808_vgcs_vbs_assign_req::priority

## ◆ priority_present

bool gsm0808_vgcs_vbs_assign_req::priority_present

## ◆ vstk

uint8_t gsm0808_vgcs_vbs_assign_req::vstk[16]

## ◆ vstk_present

bool gsm0808_vgcs_vbs_assign_req::vstk_present

## ◆ vstk_rand

uint8_t gsm0808_vgcs_vbs_assign_req::vstk_rand[5]

## ◆ vstk_rand_present

bool gsm0808_vgcs_vbs_assign_req::vstk_rand_present

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808.h